Bug 52321 - pam-devel doesn't contain libpam.a
Summary: pam-devel doesn't contain libpam.a
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-22 19:09 UTC by Mike Johnson
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-22 19:09:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2001:149 normal SHIPPED_LIVE Updated pam and usermode packages available 2001-11-02 05:00:00 UTC

Description Mike Johnson 2001-08-22 19:09:21 UTC
Description of Problem:
pam-devel claims to include static libraries needed to build
PAM-aware apps.  Oddly enough, it includes libpam_misc.a,
but that doesn't help much.

Version-Release number of selected component (if applicable):
pam-0.74-22

How Reproducible:
Very.  Should work everytime.

Steps to Reproduce:
1. rpm -ql pam-devel
2. Notice that libpam_misc.a is included, but libpam.a isn't.
3. Celebrate as you realize this is why you couldn't build your
      static version of openssh

Actual Results:
$ rpm -q pam-devel
pam-devel-0.74-22
$ rpm -ql pam-devel
/lib/libpam.so
/lib/libpam_misc.a
/lib/libpam_misc.so
/usr/include/security
/usr/include/security/_pam_aconf.h
/usr/include/security/_pam_compat.h
/usr/include/security/_pam_macros.h
/usr/include/security/_pam_types.h
/usr/include/security/pam_appl.h
/usr/include/security/pam_client.h
/usr/include/security/pam_filter.h
/usr/include/security/pam_misc.h
/usr/include/security/pam_modules.h
/usr/share/man/man3/pam_authenticate.3.gz
/usr/share/man/man3/pam_chauthtok.3.gz
/usr/share/man/man3/pam_close_session.3.gz
/usr/share/man/man3/pam_end.3.gz
/usr/share/man/man3/pam_fail_delay.3.gz
/usr/share/man/man3/pam_open_session.3.gz
/usr/share/man/man3/pam_setcred.3.gz
/usr/share/man/man3/pam_start.3.gz
/usr/share/man/man3/pam_strerror.3.gz

Expected Results:
$ rpm -q pam-devel
pam-devel-0.74-22_onms
$ rpm -ql pam-devel
/lib/libpam.a
/lib/libpam.so
/lib/libpam_misc.a
/lib/libpam_misc.so
/usr/include/security
/usr/include/security/_pam_aconf.h
/usr/include/security/_pam_compat.h
/usr/include/security/_pam_macros.h
/usr/include/security/_pam_types.h
/usr/include/security/pam_appl.h
/usr/include/security/pam_client.h
/usr/include/security/pam_filter.h
/usr/include/security/pam_misc.h
/usr/include/security/pam_modules.h
/usr/share/man/man3/pam_authenticate.3.gz
/usr/share/man/man3/pam_chauthtok.3.gz
/usr/share/man/man3/pam_close_session.3.gz
/usr/share/man/man3/pam_end.3.gz
/usr/share/man/man3/pam_fail_delay.3.gz
/usr/share/man/man3/pam_open_session.3.gz
/usr/share/man/man3/pam_setcred.3.gz
/usr/share/man/man3/pam_start.3.gz
/usr/share/man/man3/pam_strerror.3.gz

Additional Information:
The fix is simple:
	--- pam.spec    Fri Apr  6 15:50:52 2001
+++ pam-onms-temp.spec  Wed Aug 22 15:17:42 2001
@@ -199,6 +199,7 @@
 %files devel
 %defattr(-,root,root)
 /lib/libpam.so
+/lib/libpam.a
 /lib/libpam_misc.so
 /lib/libpam_misc.a
 /usr/include/security/

Comment 1 Nalin Dahyabhai 2001-08-31 03:27:48 UTC
This will be fixed in 0.75-11 and later.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.